Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

My Firefox keeps reporting that I am running Flash 10.3, even though I am sure I installed 11.1.

Example

How can I know for sure which version I am running, and that I am running the correct version?

share|improve this question
add comment

4 Answers

How did you install flash ? If from a repository you can check with

dpkg -l | grep flash

If from Adobe , what version is in the tar ?

You can also open firefox and type

about:plugins

If you wish to look at a lower level, I would use strace. strace dumps a fair amount of output to the terminal, so you can redirect it to a file with the -o option and reduce the output somewhat with the -e option.

sudo strace -o /tmp/firefox-trace.txt -e open /usr/bin/firefox

Open a flash video and you can grep the /tmp/firefox-trace.txt file to confirm the lib

grep flash /tmp/firefox-trace.txt
share|improve this answer
    
This is closer to a comment than an answer lol. I have tried the latter, and btw, I installed it from the repos. –  RolandiXor Feb 28 '12 at 21:14
    
Yea, but it shows the version , what are you needing ? –  bodhi.zazen Feb 28 '12 at 21:15
    
essentially to know that Firefox is pulling in the correct version and not using something from some custom directory for example. –  RolandiXor Feb 28 '12 at 21:23
    
I fixed it and gave you an upvote. –  RolandiXor Feb 28 '12 at 21:29
    
I suggest strace, I updated my answer –  bodhi.zazen Feb 28 '12 at 21:49
show 2 more comments

You can go to the flash check page at adobe which will tell you the version of flash you are currently running

reported flash version

of course Firefox could be miss reporting to the Adobe site but I am sure the site actually checks the version of flash rather than the one reported by the browser.

share|improve this answer
add comment

enter image description here

If you type about:plugins in the search-bar it will display the version of the flash library firefox uses

share|improve this answer
    
I had already looked here, after some deliberation over the source of the problem. –  RolandiXor Feb 28 '12 at 21:56
add comment
up vote 1 down vote accepted

I believe I have found the solution. I previously had installed Adobe AIR, and I'm not sure, but it seems like the version of flash bundled with AIR was being pulled in. Since I don't use Adobe AIR for anything anymore, I removed this.

Either way, I ran:

locate libflashplayer.so and deleted every instance I found.

Then I purged Adobe-flashplugin and the control panel packages for gtk and kde (just to be completely certain ;)), and reinstalled them. Now Firefox is reporting the correct version.

share|improve this answer
    
Thanks, glad you found the answer you wanted. –  bodhi.zazen Feb 28 '12 at 21:51
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.